#ifndef ANALYZENODE_HPP__
#define ANALYZENODE_HPP__

#include "nodes/base/base.hpp"
#include <opencv2/opencv.hpp>

namespace Node
{

class AnalyzeNode : public BaseNode
{
public:
    AnalyzeNode() = delete;
    AnalyzeNode(const std::string& name) : BaseNode(name, NODE_TYPE::MID_NODE) {}
    virtual ~AnalyzeNode() { stop(); };

    void work() override;
};


}   // namespace Node
#endif // ANALYZENODE_HPP__